# Uses of Interface
org.opensaml.xmlsec.signature.MgmtData

Packages that use MgmtData
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of MgmtData in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type MgmtData
Modifier and Type
Method
Description
`List<MgmtData>`
KeyInfo.`getMgmtDatas()`
Get the list of MgmtData child elements.

## Uses of MgmtData in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement MgmtData
Modifier and Type
Class
Description
`class`
`MgmtDataImpl`
Concrete implementation of `MgmtData`.
Methods in org.opensaml.xmlsec.signature.impl that return MgmtData
Modifier and Type
Method
Description
`MgmtData`
MgmtDataBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`MgmtData`
MgmtDataBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type MgmtData
Modifier and Type
Method
Description
`List<MgmtData>`
KeyInfoImpl.`getMgmtDatas()`
Get the list of MgmtData child elements.